/*
 * Copyright © 2022 Soren Stoutner <soren@stoutner.com>.
 *
 * This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc>.
 *
 * Privacy Browser PC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Privacy Browser PC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Privacy Browser PC.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

// Application headers.
#include "ui_settings.h"  // TODO.  Can probably be removed.  Does not appear to exist.
#include "PrivacyBrowserPCSettings.h"  // TODO.  Can probably be removed.  Doe snot appear to exist.

// KDE Frameworks headers.
#include <KXmlGuiWindow>

// TODO.  What is this doing here?
class PrivacyBrowserPCView;

/**  TODO.  Remove.
 * This class serves as the main window for privacybrowserpc.  It handles the
 * menus, toolbars and status bars.
 *
 * @short Main window class
 * @author %{AUTHOR} <%{EMAIL}>
 * @version %{VERSION}
 */
class MainWindow : public KXmlGuiWindow  // TODO.  Checkout documentation.
{
    // Include the Q_OBJECT macro.
    Q_OBJECT

public:
    // The default constructor.
    MainWindow();


    // The default destructor.  TODO, this could probably be removed.
    ~MainWindow() override;

private Q_SLOTS:
    /**
     * Create a new window
     */
    void fileNew();

    /**
     * Open the settings dialog
     */
    void settingsConfigure();

private:
    // this is the name of the root widget inside our Ui file
    // you can rename it in designer and then change it here
    Ui::Settings m_settings;
    QAction *m_switchAction;
    PrivacyBrowserPCView *m_privacybrowserpcView;
};
#endif
