/*
    SPDX-FileCopyrightText: %{CURRENT_YEAR} %{AUTHOR} <%{EMAIL}>

    SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
*/

// application headers
#include "privacybrowserpcview.h"

#include "PrivacyBrowserPCSettings.h"
#include "privacybrowserpcdebug.h"


PrivacyBrowserPCView::PrivacyBrowserPCView(QWidget *parent)
    : QWidget(parent)
{
    m_ui.setupUi(this);
    handleSettingsChanged();
}

PrivacyBrowserPCView::~PrivacyBrowserPCView()
{
}

void PrivacyBrowserPCView::switchColors()
{
    // switch the foreground/background colors of the label
    QColor color = PrivacyBrowserPCSettings::colorBackground();
    PrivacyBrowserPCSettings::setColorBackground(PrivacyBrowserPCSettings::colorForeground());
    PrivacyBrowserPCSettings::setColorForeground(color);

    handleSettingsChanged();
}

void PrivacyBrowserPCView::handleSettingsChanged()
{
    qCDebug(PRIVACYBROWSER) << "PrivacyBrowserPCView::handleSettingsChanged()";
    QPalette palette = m_ui.templateLabel->palette();
    palette.setColor(QPalette::Window, PrivacyBrowserPCSettings::colorBackground());
    palette.setColor(QPalette::WindowText, PrivacyBrowserPCSettings::colorForeground());
    m_ui.templateLabel->setPalette(palette);

    // i18n : internationalization
    m_ui.templateLabel->setText(i18n("This project is %1 days old", PrivacyBrowserPCSettings::ageInDays()));
}

